Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink
Class OWLlinkHTTPXMLReasoner

    java.lang.Object
      OWLReasonerAdapter
          org.semanticweb.owlapi.owllink.OWLlinkHTTPXMLReasoner

All Implemented Interfaces:
  OWLlinkReasoner

    public class OWLlinkHTTPXMLReasoner

extends OWLReasonerAdapter
implements OWLlinkReasoner

Author:
  Olaf Noppens

Field Summary
`protected IRI` | `defaultKnowledgeBase`
`protected PrefixManagerProvider` | `prov`

Constructor Summary
`OWLlinkHTTPXMLReasoner(OWLOntologyManager manager)`
`OWLlinkHTTPXMLReasoner(OWLOntologyManager manager, java.net.URL reasonerURL)`

Method Summary
`ResponseMessage` | `answer(Request... request)` Answers the given list of `requests` in exactly the given ordering.
`
`<R extends Response> R`
` | `answer(Request<R> request)` Answers the given request.
`void` | `classify()`
`protected void` | `createDefaultKB()`
`protected void` | `disposeReasoner()`
`java.util.Set<java.util.Set<OWLClass>>` | `getAncestorClasses(OWLClassExpression clsC)`
`java.util.Set<java.util.Set<OWLDataProperty>>` | `getAncestorProperties(OWLDataProperty property)`
`java.util.Set<java.util.Set<OWLObjectProperty>>` | `getAncestorProperties(OWLObjectProperty property)`
`java.util.Map<OWLDataProperty,java.util.Set<OWLLiteral>>` | `getDataPropertyRelationships(OWLNamedIndividual individual)`
`IRI` | `getDefaultKB()`
`java.util.Set<java.util.Set<OWLClass>>` | `getDescendantClasses(OWLClassExpression clsC)`
`java.util.Set<java.util.Set<OWLDataProperty>>` | `getDescendantProperties(OWLDataProperty property)`
`java.util.Set<java.util.Set<OWLObjectProperty>>` | `getDescendantProperties(OWLObjectProperty property)`
`java.util.Set<java.util.Set<OWLClassExpression>>` | `getDomains(OWLDataProperty property)`
`java.util.Set<java.util.Set<OWLClassExpression>>` | `getDomains(OWLObjectProperty property)`
`java.util.Set<OWLClass>` | `getEquivalentClasses(OWLClassExpression clsC)`
`java.util.Set<OWLDataProperty>` | `getEquivalentProperties(OWLDataProperty property)`
`java.util.Set<OWLObjectProperty>` | `getEquivalentProperties(OWLObjectProperty property)`
`java.util.Set<OWLNamedIndividual>` | `getIndividuals(OWLClassExpression clsC, boolean direct)`
`java.util.Set<java.util.Set<OWLObjectProperty>>` | `getInverseProperties(OWLObjectProperty property)`
`java.util.Map<OWLObjectProperty,java.util.Set<OWLNamedIndividual>>` | `getObjectPropertyRelationships(OWLNamedIndividual individual)`
`java.util.Set<OWLDataRange>` | `getRanges(OWLDataProperty property)`
`java.util.Set<OWLClassExpression>` | `getRanges(OWLObjectProperty property)`
`java.util.Set<OWLNamedIndividual>` | `getRelatedIndividuals(OWLNamedIndividual subject, OWLObjectPropertyExpression property)`
`java.util.Set<OWLLiteral>` | `getRelatedValues(OWLNamedIndividual subject, OWLDataPropertyExpression property)`
`java.util.Set<java.util.Set<OWLClass>>` | `getSubClasses(OWLClassExpression clsC)`
`java.util.Set<java.util.Set<OWLDataProperty>>` | `getSubProperties(OWLDataProperty property)`
`java.util.Set<java.util.Set<OWLObjectProperty>>` | `getSubProperties(OWLObjectProperty property)`
`java.util.Set<java.util.Set<OWLClass>>` | `getSuperClasses(OWLClassExpression clsC)`
`java.util.Set<java.util.Set<OWLDataProperty>>` | `getSuperProperties(OWLDataProperty property)`
`java.util.Set<java.util.Set<OWLObjectProperty>>` | `getSuperProperties(OWLObjectProperty property)`
`java.util.Set<java.util.Set<OWLClass>>` | `getTypes(OWLNamedIndividual individual, boolean direct)`
`java.util.Set<OWLClass>` | `getUnsatisfiableClasses()`
`protected void` | `handleOntologyChanges(java.util.List<OWLOntologyChange> changes)`
`boolean` | `hasDataPropertyRelationship(OWLNamedIndividual subject, OWLDataPropertyExpression property, OWLLiteral object)`
`boolean` | `hasObjectPropertyRelationship(OWLNamedIndividual subject, OWLObjectPropertyExpression property, OWLNamedIndividual object)`
`boolean` | `hasType(OWLNamedIndividual individual, OWLClassExpression type, boolean direct)`
`boolean` | `isAsymmetric(OWLObjectProperty property)`
`boolean` | `isClassified()`
`boolean` | `isConsistent(OWLOntology ontology)`
`boolean` | `isDefined(OWLClass cls)`
`boolean` | `isDefined(OWLDataProperty prop)`
`boolean` | `isDefined(OWLIndividual ind)`
`boolean` | `isDefined(OWLObjectProperty prop)`
`boolean` | `isEquivalentClass(OWLClassExpression clsC, OWLClassExpression clsD)`
`boolean` | `isFunctional(OWLDataProperty property)`
`boolean` | `isFunctional(OWLObjectProperty property)`
`boolean` | `isInverseFunctional(OWLObjectProperty property)`
`boolean` | `isIrreflexive(OWLObjectProperty property)`
`boolean` | `isRealised()`
`boolean` | `isReflexive(OWLObjectProperty property)`
`boolean` | `isSatisfiable(OWLClassExpression classExpression)`
`boolean` | `isSubClassOf(OWLClassExpression clsC, OWLClassExpression clsD)`
`boolean` | `isSymmetric(OWLObjectProperty property)`
`boolean` | `isTransitive(OWLObjectProperty property)`
`protected
`<O> java.util.Set<java.util.Set<O>>`
` | `legacy(SetOfSynsets<O> set)`
`protected
`<O> java.util.Set<java.util.Set<O>>`
` | `legacy(Synsets<O> set)`
`void` | `loadOntologies(java.util.Set<OWLOntology> ontologies)`
`protected void` | `ontologiesChanged()`
`protected void` | `ontologiesCleared()`
`protected
`<R extends Response> R`
` | `performRequest(Request<R> request)`
`protected ResponseMessage` | `performRequests(Request... request)`
`void` | `realise()`
`protected java.util.Set<OWLNamedIndividual>` | `toNamedIndividuals(java.util.Set<OWLIndividual> individuals)`
`void` | `unloadOntologies(java.util.Set<OWLOntology> ontologies)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultKnowledgeBase

    protected IRI defaultKnowledgeBase

### prov

    protected PrefixManagerProvider prov

Constructor Detail

### OWLlinkHTTPXMLReasoner

    public OWLlinkHTTPXMLReasoner(OWLOntologyManager manager)

### OWLlinkHTTPXMLReasoner

    public OWLlinkHTTPXMLReasoner(OWLOntologyManager manager,
                                  java.net.URL reasonerURL)

Method Detail

### getDefaultKB

    public IRI getDefaultKB()

### answer

    public <R extends Response> R answer(Request<R> request)

  Description copied from interface: `OWLlinkReasoner`
  Answers the given request. If the OWLlink server answers with an Error response (or any subtype thereof) an OWLlinkErrorResponseException (or an appropriate subtype thereof) will be thrown.

  Specified by:
    `answer` in interface `OWLlinkReasoner`
  Parameters:
    `request` - Request to be performed
  Returns:
    Response object of the given request

### answer

    public ResponseMessage answer(Request... request)

  Description copied from interface: `OWLlinkReasoner`
  Answers the given list of `requests` in exactly the given ordering.

  Specified by:
    `answer` in interface `OWLlinkReasoner`
  Parameters:
    `request` - Requests to be answered
  Returns:
    ResponseMessage for the given requests.

### classify

    public void classify()
                  throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### realise

    public void realise()
                 throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isSubClassOf

    public boolean isSubClassOf(OWLClassExpression clsC,
                                OWLClassExpression clsD)

### isConsistent

    public boolean isConsistent(OWLOntology ontology)

### isSatisfiable

    public boolean isSatisfiable(OWLClassExpression classExpression)

### isEquivalentClass

    public boolean isEquivalentClass(OWLClassExpression clsC,
                                     OWLClassExpression clsD)

### getSuperClasses

    public java.util.Set<java.util.Set<OWLClass>> getSuperClasses(OWLClassExpression clsC)

### getAncestorClasses

    public java.util.Set<java.util.Set<OWLClass>> getAncestorClasses(OWLClassExpression clsC)

### getSubClasses

    public java.util.Set<java.util.Set<OWLClass>> getSubClasses(OWLClassExpression clsC)

### getDescendantClasses

    public java.util.Set<java.util.Set<OWLClass>> getDescendantClasses(OWLClassExpression clsC)

### getEquivalentClasses

    public java.util.Set<OWLClass> getEquivalentClasses(OWLClassExpression clsC)

### getTypes

    public java.util.Set<java.util.Set<OWLClass>> getTypes(OWLNamedIndividual individual,
                                                           boolean direct)

### getIndividuals

    public java.util.Set<OWLNamedIndividual> getIndividuals(OWLClassExpression clsC,
                                                            boolean direct)

### disposeReasoner

    protected void disposeReasoner()

### ontologiesCleared

    protected void ontologiesCleared()
                              throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### ontologiesChanged

    protected void ontologiesChanged()
                              throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### handleOntologyChanges

    protected void handleOntologyChanges(java.util.List<OWLOntologyChange> changes)
                                  throws OWLException

  Throws:
    `OWLException`

### isClassified

    public boolean isClassified()
                         throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isRealised

    public boolean isRealised()
                       throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isDefined

    public boolean isDefined(OWLClass cls)
                      throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isDefined

    public boolean isDefined(OWLObjectProperty prop)
                      throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isDefined

    public boolean isDefined(OWLDataProperty prop)
                      throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isDefined

    public boolean isDefined(OWLIndividual ind)
                      throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### getUnsatisfiableClasses

    public java.util.Set<OWLClass> getUnsatisfiableClasses()
                                                    throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### getDataPropertyRelationships

    public java.util.Map<OWLDataProperty,java.util.Set<OWLLiteral>> getDataPropertyRelationships(OWLNamedIndividual individual)

### hasType

    public boolean hasType(OWLNamedIndividual individual,
                           OWLClassExpression type,
                           boolean direct)

### hasObjectPropertyRelationship

    public boolean hasObjectPropertyRelationship(OWLNamedIndividual subject,
                                                 OWLObjectPropertyExpression property,
                                                 OWLNamedIndividual object)

### hasDataPropertyRelationship

    public boolean hasDataPropertyRelationship(OWLNamedIndividual subject,
                                               OWLDataPropertyExpression property,
                                               OWLLiteral object)

### getRelatedIndividuals

    public java.util.Set<OWLNamedIndividual> getRelatedIndividuals(OWLNamedIndividual subject,
                                                                   OWLObjectPropertyExpression property)

### getRelatedValues

    public java.util.Set<OWLLiteral> getRelatedValues(OWLNamedIndividual subject,
                                                      OWLDataPropertyExpression property)

### getSuperProperties

    public java.util.Set<java.util.Set<OWLObjectProperty>> getSuperProperties(OWLObjectProperty property)

### getSubProperties

    public java.util.Set<java.util.Set<OWLObjectProperty>> getSubProperties(OWLObjectProperty property)

### getAncestorProperties

    public java.util.Set<java.util.Set<OWLObjectProperty>> getAncestorProperties(OWLObjectProperty property)

### getDescendantProperties

    public java.util.Set<java.util.Set<OWLObjectProperty>> getDescendantProperties(OWLObjectProperty property)

### getInverseProperties

    public java.util.Set<java.util.Set<OWLObjectProperty>> getInverseProperties(OWLObjectProperty property)

### getEquivalentProperties

    public java.util.Set<OWLObjectProperty> getEquivalentProperties(OWLObjectProperty property)

### getDomains

    public java.util.Set<java.util.Set<OWLClassExpression>> getDomains(OWLObjectProperty property)

### toNamedIndividuals

    protected java.util.Set<OWLNamedIndividual> toNamedIndividuals(java.util.Set<OWLIndividual> individuals)

### getRanges

    public java.util.Set<OWLClassExpression> getRanges(OWLObjectProperty property)

### isFunctional

    public boolean isFunctional(OWLObjectProperty property)

### isInverseFunctional

    public boolean isInverseFunctional(OWLObjectProperty property)

### isSymmetric

    public boolean isSymmetric(OWLObjectProperty property)

### isTransitive

    public boolean isTransitive(OWLObjectProperty property)

### isReflexive

    public boolean isReflexive(OWLObjectProperty property)

### isIrreflexive

    public boolean isIrreflexive(OWLObjectProperty property)
                          throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### isAsymmetric

    public boolean isAsymmetric(OWLObjectProperty property)
                         throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### getSuperProperties

    public java.util.Set<java.util.Set<OWLDataProperty>> getSuperProperties(OWLDataProperty property)

### getSubProperties

    public java.util.Set<java.util.Set<OWLDataProperty>> getSubProperties(OWLDataProperty property)

### getAncestorProperties

    public java.util.Set<java.util.Set<OWLDataProperty>> getAncestorProperties(OWLDataProperty property)

### getDescendantProperties

    public java.util.Set<java.util.Set<OWLDataProperty>> getDescendantProperties(OWLDataProperty property)

### getEquivalentProperties

    public java.util.Set<OWLDataProperty> getEquivalentProperties(OWLDataProperty property)

### getDomains

    public java.util.Set<java.util.Set<OWLClassExpression>> getDomains(OWLDataProperty property)

### getRanges

    public java.util.Set<OWLDataRange> getRanges(OWLDataProperty property)

### isFunctional

    public boolean isFunctional(OWLDataProperty property)

### getObjectPropertyRelationships

    public java.util.Map<OWLObjectProperty,java.util.Set<OWLNamedIndividual>> getObjectPropertyRelationships(OWLNamedIndividual individual)

### legacy

    protected <O> java.util.Set<java.util.Set<O>> legacy(SetOfSynsets<O> set)

### legacy

    protected <O> java.util.Set<java.util.Set<O>> legacy(Synsets<O> set)

### loadOntologies

    public void loadOntologies(java.util.Set<OWLOntology> ontologies)
                        throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### unloadOntologies

    public void unloadOntologies(java.util.Set<OWLOntology> ontologies)
                          throws OWLReasonerException

  Throws:
    `OWLReasonerException`

### createDefaultKB

    protected void createDefaultKB()

### performRequests

    protected ResponseMessage performRequests(Request... request)

### performRequest

    protected <R extends Response> R performRequest(Request<R> request)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD